/** @file   iBuy Structure definitions
    @author Juan Gomez Romero
    @date   2012-2013
*/

#ifndef _DEFSTRUCTS_H_
#define _DEFSTRUCTS_H_

   #define MAX_USERS          30
   #define MAX_ITEMS          100

   #define L_USER_LOGIN       11
   #define L_USER_PASSWORD    9
   #define L_USER_NAME        26
   #define L_USER_SURNAME     21
   #define L_ITEM_NAME        65
   #define L_ITEM_DESCRIPTION 257

   struct User {
       int userID;
       char login[L_USER_LOGIN];
       char password[L_USER_PASSWORD];
       char name[L_USER_NAME];
       char surname[L_USER_SURNAME];
       int nFavoriteSellers;
       int favoriteSellers[MAX_USERS-1];  // A user cannot be friend of him/herself
   };
   
    struct Item {
       int itemID;
       char name[L_ITEM_NAME];
       char description[L_ITEM_DESCRIPTION];
       float price;
       int sellerID;
       int nLikeRatings;
       int likeRatings[MAX_USERS];
       int nDealRatings;
       int dealRatings[MAX_USERS];
       int nSoldRatings;
       int soldRatings[MAX_USERS];       
    };

#endif
